Raw provider events beside their normalized ones, and opt-out sync
GET
/api/v1/workspaces/{workspace}/sms/events
package main
import ( "fmt" "net/http" "io")
func main() {
url := "https://reputecast.example.com/api/v1/workspaces/acme-newsletter/sms/events?kind=all&page=1"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close() body, _ := io.ReadAll(res.Body)
fmt.Println(res) fmt.Println(string(body))
}const url = 'https://reputecast.example.com/api/v1/workspaces/acme-newsletter/sms/events?kind=all&page=1';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://reputecast.example.com/api/v1/workspaces/acme-newsletter/sms/events?kind=all&page=1' \ --header 'Authorization: Bearer <token>'Permission: providers:view
Raw events are kept 90 days.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”workspace
required
Workspace slug
string
Workspace slug
Query Parameters
Section titled “Query Parameters”kind
string
provider
An SMS provider id
string
An SMS provider id
page
integer format: int64
Responses
Section titled “Responses”OK
Media typeapplication/json
object
items
required
Array<object>
object
adapter
required
string
at
required
string format: date-time
code
string
error
string
filtered
required
integer format: int64
id
required
string
keyword
string
kind
required
string
lists
required
Array<string>
messageRef
string
normalized
required
string
number
required
string
provider
required
string
providerAnswered
required
boolean
raw
required
string
reason
string
replied
required
boolean
signatureOk
required
boolean
source
required
string
suppressed
required
boolean
temporary
required
boolean
month
required
string format: date-time
optOutSync
required
Array<object>
object
adapter
required
string
detail
string
lastSyncAt
string format: date-time
mode
required
string
provider
required
string
pulled
required
integer format: int64
pushed
required
integer format: int64
status
required
string
page
required
integer format: int64
pageSize
required
integer format: int64
providers
required
Array<object>
object
id
required
string
name
required
string
suppressed
required
integer format: int64
thisMonth
required
integer format: int64
total
required
integer format: int64
Example
{ "items": [ { "kind": "receipt" } ], "optOutSync": [ { "mode": "two_way", "status": "in_sync" } ]}default
Section titled “default”Error
Media typeapplication/problem+json
object
code
Stable error code, e.g. permission_denied
string
detail
A human-readable explanation specific to this occurrence of the problem.
string
errors
Optional list of individual error details
Array<object>
object
location
Where the error occurred, e.g. ‘body.items[3].tags’ or ‘path.thing-id’
string
message
Error message text
string
value
The value at the given location
helpers
Members who hold the missing permission
Array<string>
instance
A URI reference that identifies the specific occurrence of the problem.
string format: uri
meta
object
key
additional properties
permission
The missing permission key
string
status
HTTP status code
integer format: int64
title
A short, human-readable summary of the problem type. This value should not change between occurrences of the error.
string
type
A URI reference to human-readable documentation for the error.
string format: uri
Example
{ "detail": "Property foo is required but is missing.", "instance": "https://example.com/error-log/abc123", "status": 400, "title": "Bad Request", "type": "about:blank"}